using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using CG67.FicheCollege.Domaine;
using CG67.FicheCollege.Interface;

namespace CG67.FicheCollege.Entrepot
{
    public class EntrepotEquipement : EntrepotBase, IEntrepotEquipement
    {
        public IList<Equipement> GetByCodeRNEAndAnnee(string codeRNE, int annee)
        {
            IList<Equipement> resultat = new List<Equipement>();
            using (SqlConnection connexion = new SqlConnection(this.ChaineDeConnexion))
            {
                try
                {
                    connexion.Open();
                    using (SqlCommand command = connexion.CreateCommand())
                    {
                        command.CommandText = "Select * from EquipementMobilierMateriel WHERE CodeRNE = @RNE AND Annee = @Annee";
                        command.Parameters.AddWithValue("@RNE", codeRNE);
                        command.Parameters.AddWithValue("@Annee", annee);
                        using (SqlDataReader dr = command.ExecuteReader())
                        {
                            while (dr.Read())
                            {
                                resultat.Add(new Equipement(dr["libelle"].ToString(),Convert.ToDouble(dr["Montant"].ToString()),Convert.ToBoolean(dr["Informatique"].ToString())));
                            }
                        }
                    }
                }
                catch
                {
                    throw;
                }
                finally
                {
                    if (connexion.State == ConnectionState.Open)
                        connexion.Close();
                }
            }

            return resultat;
        }
    }
}
